=== modified file 'drizzled/typelib.cc'
--- drizzled/typelib.cc	2011-05-05 09:24:07 +0000
+++ drizzled/typelib.cc	2011-06-02 13:21:47 +0000
@@ -73,11 +73,6 @@
 int TYPELIB::find_type(const char *x, e_find_options full_name) const
 {
   assert(full_name & e_dont_complete);
-  return find_type(const_cast<char*>(x), full_name);
-}
-
-int TYPELIB::find_type(char *x, e_find_options full_name) const
-{
   if (!count)
     return 0;
   int find= 0;
@@ -85,31 +80,28 @@
   const char *j;
   for (int pos= 0; (j= type_names[pos]); pos++)
   {
-    const char *i;
-    for (i= x;
-    	*i && *i != field_separator &&
-        my_toupper(&my_charset_utf8_general_ci,*i) ==
-    		my_toupper(&my_charset_utf8_general_ci,*j) ; i++, j++) ;
-    if (! *j)
+    const char *i= x;
+    for (; *i && *i != field_separator &&
+      my_toupper(&my_charset_utf8_general_ci, *i) == my_toupper(&my_charset_utf8_general_ci, *j); i++, j++)
+    {
+    }
+    if (not *j)
     {
       while (*i == ' ')
-	i++;					/* skip_end_space */
+        i++;					/* skip_end_space */
       if (not *i)
-	return(pos+1);
+        return pos + 1;
     }
-    if ((!*i && *i != field_separator) &&
-        (!*j || !(full_name & e_match_full)))
+    if (not *i && *i != field_separator && (not *j || not (full_name & e_match_full)))
     {
       find++;
-      findpos=pos;
+      findpos= pos;
     }
   }
   if (find == 0 || not x[0])
     return 0;
   if (find != 1 || (full_name & e_match_full))
     return -1;
-  if (!(full_name & e_dont_complete))
-    strcpy(x, type_names[findpos]);
   return findpos + 1;
 } /* find_type */
 

=== modified file 'drizzled/typelib.h'
--- drizzled/typelib.h	2011-05-01 13:10:22 +0000
+++ drizzled/typelib.h	2011-06-02 13:21:47 +0000
@@ -35,13 +35,12 @@
   TYPELIB* copy_typelib(memory::Root&) const;
   int find_type_or_exit(const char*, const char* option) const;
   int find_type(const char*, e_find_options) const;
-  int find_type(char*, e_find_options) const;
   const char *get_type(unsigned int nr) const;
 
-  uint64_t find_set(const char *x, uint32_t length, const charset_info_st *cs,
+  uint64_t find_set(const char *x, uint32_t length, const charset_info_st*,
                     char **err_pos, uint32_t *err_len, bool *set_warning) const;
   uint32_t find_type(const char *find, uint32_t length, bool part_match) const;
-  uint32_t find_type2(const char *find, uint32_t length, const charset_info_st *cs) const;
+  uint32_t find_type2(const char *find, uint32_t length, const charset_info_st*) const;
 
   unsigned int count;
   const char *name;

=== modified file 'plugin/innobase/xtrabackup/xtrabackup.cc'
--- plugin/innobase/xtrabackup/xtrabackup.cc	2011-04-20 22:18:30 +0000
+++ plugin/innobase/xtrabackup/xtrabackup.cc	2011-06-01 20:26:02 +0000
@@ -3583,7 +3583,7 @@
 	IB_INT64	file_size;
 
 	LSN64	max_no;
-	LSN64	max_lsn;
+	LSN64	max_lsn= 0;
 	LSN64	checkpoint_no;
 
 	ulint	fold;

